Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class BinaryFunction

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.BinaryFunction

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

Direct Known Subclasses:
  ArcTangent2, BigDecDiv, BigDecMod, BigDecPow, BigDecRelational, BigDecSub, Binomial, Comparative, ComplexPFMC, Cross, Divide, Dot, Left, Logical, LogTwoArg, Modulus, Polar, Power, Remainder, Right, Subtract

    public abstract class BinaryFunction

extends PostfixMathCommand

Convenient base class for binary functions. Defines an `Object eval(Object l,Object r)` method for calculating the result.

Author:
  Richard Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`BinaryFunction()`

Method Summary
`abstract java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
`void` | `run(java.util.Stack<java.lang.Object> stack)` Calls `eval(Object, Object)`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryFunction

    public BinaryFunction()

Method Detail

### run

    public final void run(java.util.Stack<java.lang.Object> stack)
                   throws EvaluationException

  Calls `eval(Object, Object)`

  Throws:
    `EvaluationException`

### eval

    public abstract java.lang.Object eval(java.lang.Object l,
                                          java.lang.Object r)
                                   throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep